import type { Repository } from "../repository";
import { BulletState } from "../../../components/bullet/bullet-state";
export declare class StateSync {
    private readonly repository;
    private readonly key;
    private state;
    private startDate?;
    private disconnectDate?;
    constructor(repository: Repository);
    get: () => Set<Date>;
    getStartDate: () => Date | undefined;
    getDisconnectDate: () => Date | undefined;
    add(date?: Date): Promise<void>;
    setStartDate(): void;
    setDisconnectDate(date: Date | undefined): void;
    load(): Promise<void>;
    getWeeks(): Set<number>;
    countWeeks(end?: Date): number;
    reset(): Promise<void>;
    toString: () => string;
    status(end?: Date): BulletState;
}
